Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
OptEnv Struct Reference

## Data Fields
MinMaxLen | mmd
OnigEncoding | enc
OnigOptionType | options
OnigCaseFoldType | case_fold_flag
ScanEnv * | scan_env

## Detailed Description

Definition at line 4346 of file regcomp.c.

## Field Documentation

## ◆ case_fold_flag

OnigCaseFoldType OptEnv::case_fold_flag

Definition at line 4350 of file regcomp.c.

## ◆ enc

OnigEncoding OptEnv::enc

Definition at line 4348 of file regcomp.c.

## ◆ mmd

MinMaxLen OptEnv::mmd

Definition at line 4347 of file regcomp.c.

## ◆ options

OnigOptionType OptEnv::options

Definition at line 4349 of file regcomp.c.

## ◆ scan_env

ScanEnv* OptEnv::scan_env

Definition at line 4351 of file regcomp.c.

The documentation for this struct was generated from the following file:

- regcomp.c